Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156126 - "RHSA-2005 is not a valid field name" from quick search
Summary: "RHSA-2005 is not a valid field name" from quick search
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
medium
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 19:12 UTC by Ville Skyttä
Modified: 2013-06-24 02:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-01 05:10:05 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2005-04-27 19:12:49 UTC
I tried to search for the string "RHSA-2005:103-04" from the Bugzilla front
page's simple search text box, and got a JavaScript alert: "RHSA-2005 is not a
valid field name".  Hmph.

Comment 1 David Lawrence 2008-09-16 16:52:30 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 2 Ville Skyttä 2008-09-20 16:57:33 UTC
Still happens with 3.2.

Comment 3 David Lawrence 2008-12-01 05:10:05 UTC
Having a colon in the middle means something different in the quick search text field and the top and bottom of the page. The colon is special notation for 
field1,field2,...:value1,value2,... from the quick search documentation. So for example if you want to search for the string in a bug comment then you would so something like:

description:RHSA-2005:103-04

The second colon is OK as the split in the back end code will only search up to the first colon. 

For more details see https://bugzilla.redhat.com/page.cgi?id=quicksearchhack.html

Dave


Note You need to log in before you can comment on or make changes to this bug.